
_InitMain:

;SPI_v36.mbas,90 :: 		sub procedure InitMain()
;SPI_v36.mbas,91 :: 		SoftSpi_CLK_direction = 0
	BCF        TRISC4_bit+0, BitPos(TRISC4_bit+0)
;SPI_v36.mbas,92 :: 		SoftSpi_SDO_direction = 0
	BCF        TRISC5_bit+0, BitPos(TRISC5_bit+0)
;SPI_v36.mbas,94 :: 		Chip_Sel_Dir_0 = 0            Chip_Sel_Dir_1 = 0
	BCF        TRISC0_bit+0, BitPos(TRISC0_bit+0)
	BCF        TRISC2_bit+0, BitPos(TRISC2_bit+0)
;SPI_v36.mbas,95 :: 		Chip_sel_0 = 1                Chip_sel_1 = 1
	BSF        RC0_bit+0, BitPos(RC0_bit+0)
	BSF        RC2_bit+0, BitPos(RC2_bit+0)
;SPI_v36.mbas,96 :: 		CS_MCP_Dir_0 = 0              CS_MCP_Dir_1 = 0
	BCF        TRISC1_bit+0, BitPos(TRISC1_bit+0)
	BCF        TRISC3_bit+0, BitPos(TRISC3_bit+0)
;SPI_v36.mbas,97 :: 		CS_MCP_0 = 1                  CS_MCP_1 = 1
	BSF        RC1_bit+0, BitPos(RC1_bit+0)
	BSF        RC3_bit+0, BitPos(RC3_bit+0)
;SPI_v36.mbas,98 :: 		delay_us(1)
	NOP
	NOP
;SPI_v36.mbas,99 :: 		end sub
L_end_InitMain:
	RETURN
; end of _InitMain

_clock:

;SPI_v36.mbas,101 :: 		sub procedure clock
;SPI_v36.mbas,102 :: 		SoftSPI_CLK = 0    delay_us(1)
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
	NOP
	NOP
;SPI_v36.mbas,103 :: 		SoftSPI_CLK = 1    delay_us(1)
	BSF        RC4_bit+0, BitPos(RC4_bit+0)
	NOP
	NOP
;SPI_v36.mbas,104 :: 		end sub
L_end_clock:
	RETURN
; end of _clock

_SPI_Out:

;SPI_v36.mbas,107 :: 		dim temp, i as byte
;SPI_v36.mbas,111 :: 		SoftSPI_CLK = 1    '   SoftSPI_SDO = 0
	BSF        RC4_bit+0, BitPos(RC4_bit+0)
;SPI_v36.mbas,112 :: 		portC = portC and channel
	MOVF       FARG_SPI_Out_channel+0, 0
	ANDWF      PORTC+0, 1
;SPI_v36.mbas,127 :: 		delay_us(1)
	NOP
	NOP
;SPI_v36.mbas,131 :: 		SoftSPI_SDO = SPI_DAT.15   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 7
	GOTO       L__SPI_Out35
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out36
L__SPI_Out35:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out36:
	CALL       _clock+0
;SPI_v36.mbas,132 :: 		SoftSPI_SDO = SPI_DAT.14   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 6
	GOTO       L__SPI_Out37
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out38
L__SPI_Out37:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out38:
	CALL       _clock+0
;SPI_v36.mbas,133 :: 		SoftSPI_SDO = SPI_DAT.13   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 5
	GOTO       L__SPI_Out39
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out40
L__SPI_Out39:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out40:
	CALL       _clock+0
;SPI_v36.mbas,134 :: 		SoftSPI_SDO = SPI_DAT.12   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 4
	GOTO       L__SPI_Out41
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out42
L__SPI_Out41:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out42:
	CALL       _clock+0
;SPI_v36.mbas,135 :: 		SoftSPI_SDO = SPI_DAT.11   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 3
	GOTO       L__SPI_Out43
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out44
L__SPI_Out43:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out44:
	CALL       _clock+0
;SPI_v36.mbas,136 :: 		SoftSPI_SDO = SPI_DAT.10   clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 2
	GOTO       L__SPI_Out45
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out46
L__SPI_Out45:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out46:
	CALL       _clock+0
;SPI_v36.mbas,137 :: 		SoftSPI_SDO = SPI_DAT.9    clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 1
	GOTO       L__SPI_Out47
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out48
L__SPI_Out47:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out48:
	CALL       _clock+0
;SPI_v36.mbas,138 :: 		SoftSPI_SDO = SPI_DAT.8    clock
	BTFSC      FARG_SPI_Out_SPI_dat+1, 0
	GOTO       L__SPI_Out49
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out50
L__SPI_Out49:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out50:
	CALL       _clock+0
;SPI_v36.mbas,139 :: 		SoftSPI_SDO = SPI_DAT.7    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 7
	GOTO       L__SPI_Out51
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out52
L__SPI_Out51:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out52:
	CALL       _clock+0
;SPI_v36.mbas,140 :: 		SoftSPI_SDO = SPI_DAT.6    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 6
	GOTO       L__SPI_Out53
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out54
L__SPI_Out53:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out54:
	CALL       _clock+0
;SPI_v36.mbas,141 :: 		SoftSPI_SDO = SPI_DAT.5    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 5
	GOTO       L__SPI_Out55
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out56
L__SPI_Out55:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out56:
	CALL       _clock+0
;SPI_v36.mbas,142 :: 		SoftSPI_SDO = SPI_DAT.4    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 4
	GOTO       L__SPI_Out57
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out58
L__SPI_Out57:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out58:
	CALL       _clock+0
;SPI_v36.mbas,143 :: 		SoftSPI_SDO = SPI_DAT.3    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 3
	GOTO       L__SPI_Out59
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out60
L__SPI_Out59:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out60:
	CALL       _clock+0
;SPI_v36.mbas,144 :: 		SoftSPI_SDO = SPI_DAT.2    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 2
	GOTO       L__SPI_Out61
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out62
L__SPI_Out61:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out62:
	CALL       _clock+0
;SPI_v36.mbas,145 :: 		SoftSPI_SDO = SPI_DAT.1    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 1
	GOTO       L__SPI_Out63
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out64
L__SPI_Out63:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out64:
	CALL       _clock+0
;SPI_v36.mbas,146 :: 		SoftSPI_SDO = SPI_DAT.0    clock
	BTFSC      FARG_SPI_Out_SPI_dat+0, 0
	GOTO       L__SPI_Out65
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
	GOTO       L__SPI_Out66
L__SPI_Out65:
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
L__SPI_Out66:
	CALL       _clock+0
;SPI_v36.mbas,148 :: 		SoftSPI_CLK = 1       delay_us(1)
	BSF        RC4_bit+0, BitPos(RC4_bit+0)
	NOP
	NOP
;SPI_v36.mbas,149 :: 		portC = portC OR (not(channel))
	COMF       FARG_SPI_Out_channel+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	IORWF      PORTC+0, 1
;SPI_v36.mbas,164 :: 		delay_us(1)
	NOP
	NOP
;SPI_v36.mbas,165 :: 		end sub
L_end_SPI_Out:
	RETURN
; end of _SPI_Out

_Send_freq:

;SPI_v36.mbas,169 :: 		dim temp_MSB, temp_LSB as longword
;SPI_v36.mbas,173 :: 		case 0
	MOVF       FARG_Send_freq_freq_reg+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Send_freq7
;SPI_v36.mbas,174 :: 		Control_reg = 0x2000 ' B28=1 28 bits, D8 RESET Off,  D11=0 freq0
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      32
	MOVWF      _Control_reg+1
	GOTO       L__Send_freq4
L__Send_freq7:
;SPI_v36.mbas,175 :: 		case 1
	MOVF       FARG_Send_freq_freq_reg+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Send_freq10
;SPI_v36.mbas,176 :: 		Control_reg = 0x2800 ' B28=1 28 bits, D8 RESET Off,  D11=1 freq1
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      40
	MOVWF      _Control_reg+1
	GOTO       L__Send_freq4
L__Send_freq10:
L__Send_freq4:
;SPI_v36.mbas,179 :: 		SPI_Out (channel, Control_reg)
	MOVF       FARG_Send_freq_channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVF       _Control_reg+0, 0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVF       _Control_reg+1, 0
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,180 :: 		freq = freq and 0x0FFFFFFF    ' 28 bits effective
	MOVLW      255
	ANDWF      FARG_Send_freq_freq+0, 0
	MOVWF      R5+0
	MOVLW      255
	ANDWF      FARG_Send_freq_freq+1, 0
	MOVWF      R5+1
	MOVLW      255
	ANDWF      FARG_Send_freq_freq+2, 0
	MOVWF      R5+2
	MOVLW      15
	ANDWF      FARG_Send_freq_freq+3, 0
	MOVWF      R5+3
	MOVF       R5+0, 0
	MOVWF      FARG_Send_freq_freq+0
	MOVF       R5+1, 0
	MOVWF      FARG_Send_freq_freq+1
	MOVF       R5+2, 0
	MOVWF      FARG_Send_freq_freq+2
	MOVF       R5+3, 0
	MOVWF      FARG_Send_freq_freq+3
;SPI_v36.mbas,184 :: 		temp_LSB = LoWord(freq)            ' LSB 16 bits
	MOVF       FARG_Send_freq_freq+0, 0
	MOVWF      Send_freq_temp_LSB+0
	MOVF       FARG_Send_freq_freq+1, 0
	MOVWF      Send_freq_temp_LSB+1
	CLRF       Send_freq_temp_LSB+2
	CLRF       Send_freq_temp_LSB+3
;SPI_v36.mbas,185 :: 		temp_MSB = HiWord(freq << 2)       ' MSB .. 2 bits from right
	MOVF       R5+0, 0
	MOVWF      R0+0
	MOVF       R5+1, 0
	MOVWF      R0+1
	MOVF       R5+2, 0
	MOVWF      R0+2
	MOVF       R5+3, 0
	MOVWF      R0+3
	RLF        R0+0, 1
	RLF        R0+1, 1
	RLF        R0+2, 1
	RLF        R0+3, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	RLF        R0+1, 1
	RLF        R0+2, 1
	RLF        R0+3, 1
	BCF        R0+0, 0
	MOVF       R0+2, 0
	MOVWF      Send_freq_temp_MSB+0
	MOVF       R0+3, 0
	MOVWF      Send_freq_temp_MSB+1
	CLRF       Send_freq_temp_MSB+2
	CLRF       Send_freq_temp_MSB+3
;SPI_v36.mbas,187 :: 		temp_LSB = (temp_LSB and 0x3FFF) or 0x4000   ' adjust with 01
	MOVLW      255
	ANDWF      Send_freq_temp_LSB+0, 0
	MOVWF      R0+0
	MOVLW      63
	ANDWF      Send_freq_temp_LSB+1, 0
	MOVWF      R0+1
	MOVF       Send_freq_temp_LSB+2, 0
	MOVWF      R0+2
	MOVF       Send_freq_temp_LSB+3, 0
	MOVWF      R0+3
	MOVLW      0
	ANDWF      R0+2, 1
	ANDWF      R0+3, 1
	BSF        R0+1, 6
	MOVF       R0+0, 0
	MOVWF      Send_freq_temp_LSB+0
	MOVF       R0+1, 0
	MOVWF      Send_freq_temp_LSB+1
	MOVF       R0+2, 0
	MOVWF      Send_freq_temp_LSB+2
	MOVF       R0+3, 0
	MOVWF      Send_freq_temp_LSB+3
;SPI_v36.mbas,188 :: 		temp_MSB = (temp_MSB and 0x3FFF) or 0x4000   ' adjust with 01
	MOVLW      255
	ANDWF      Send_freq_temp_MSB+0, 1
	MOVLW      63
	ANDWF      Send_freq_temp_MSB+1, 1
	MOVLW      0
	ANDWF      Send_freq_temp_MSB+2, 1
	ANDWF      Send_freq_temp_MSB+3, 1
	BSF        Send_freq_temp_MSB+1, 6
;SPI_v36.mbas,198 :: 		SPI_Out(channel, temp_LSB)
	MOVF       FARG_Send_freq_channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVF       R0+0, 0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVF       R0+1, 0
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,199 :: 		SPI_Out(channel, temp_MSB)
	MOVF       FARG_Send_freq_channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVF       Send_freq_temp_MSB+0, 0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVF       Send_freq_temp_MSB+1, 0
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,201 :: 		delay_us(1)
	NOP
	NOP
;SPI_v36.mbas,203 :: 		end sub
L_end_Send_freq:
	RETURN
; end of _Send_freq

_Send_phase:

;SPI_v36.mbas,206 :: 		dim phase as word)
;SPI_v36.mbas,207 :: 		end sub
L_end_Send_phase:
	RETURN
; end of _Send_phase

_main:

;SPI_v36.mbas,210 :: 		main:
;SPI_v36.mbas,214 :: 		osccon=%01111110
	MOVLW      126
	MOVWF      OSCCON+0
;SPI_v36.mbas,215 :: 		OPTION_reg = %00000000     ' %00000xxx  PreScaler
	CLRF       OPTION_REG+0
;SPI_v36.mbas,219 :: 		ANSEL = 0
	CLRF       ANSEL+0
;SPI_v36.mbas,220 :: 		ANSELH = 0
	CLRF       ANSELH+0
;SPI_v36.mbas,221 :: 		InitMain()
	CALL       _InitMain+0
;SPI_v36.mbas,223 :: 		MCLK = 25000000    ' 2^28 / 25 MHz = 10.73741824
	MOVLW      64
	MOVWF      _MCLK+0
	MOVLW      120
	MOVWF      _MCLK+1
	MOVLW      125
	MOVWF      _MCLK+2
	MOVLW      1
	MOVWF      _MCLK+3
;SPI_v36.mbas,226 :: 		Control_reg=0x2100       ' B28=1 28 bits, D8 RESET ON,  D11=0 Freq0
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      33
	MOVWF      _Control_reg+1
;SPI_v36.mbas,227 :: 		channel =0xFA            ' Both modules will receive "commands"
	MOVLW      250
	MOVWF      _channel+0
;SPI_v36.mbas,228 :: 		SPI_Out (channel, Control_reg)
	MOVLW      250
	MOVWF      FARG_SPI_Out_channel+0
	MOVLW      0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVLW      33
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,230 :: 		fout = 1000      freq = fout * 10.73741824
	MOVLW      232
	MOVWF      _fout+0
	MOVLW      3
	MOVWF      _fout+1
	CLRF       _fout+2
	CLRF       _fout+3
	MOVLW      241
	MOVWF      _freq+0
	MOVLW      41
	MOVWF      _freq+1
	MOVLW      0
	MOVWF      _freq+2
	MOVLW      0
	MOVWF      _freq+3
;SPI_v36.mbas,231 :: 		freq_reg = 0
	CLRF       _freq_reg+0
;SPI_v36.mbas,232 :: 		Send_freq(channel, freq_reg, freq)      ' output 1000 Hz during 5 seconds
	MOVF       _channel+0, 0
	MOVWF      FARG_Send_freq_channel+0
	CLRF       FARG_Send_freq_freq_reg+0
	MOVLW      241
	MOVWF      FARG_Send_freq_freq+0
	MOVLW      41
	MOVWF      FARG_Send_freq_freq+1
	MOVLW      0
	MOVWF      FARG_Send_freq_freq+2
	MOVLW      0
	MOVWF      FARG_Send_freq_freq+3
	CALL       _Send_freq+0
;SPI_v36.mbas,233 :: 		delay_ms(2000)                          ' on both modules
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L__main13:
	DECFSZ     R13+0, 1
	GOTO       L__main13
	DECFSZ     R12+0, 1
	GOTO       L__main13
	DECFSZ     R11+0, 1
	GOTO       L__main13
	NOP
;SPI_v36.mbas,237 :: 		Control_reg=0x2000       ' B28=1 28 bits, D8 RESET Off,  D11=0 Freq0
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      32
	MOVWF      _Control_reg+1
;SPI_v36.mbas,243 :: 		SPI_Out (channel, Control_reg)    ' "command" on both 2 modules
	MOVF       _channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVLW      0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVLW      32
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,245 :: 		channel = 0xF5                  ' Commands for both PGA
	MOVLW      245
	MOVWF      _channel+0
;SPI_v36.mbas,246 :: 		SPI_out(channel, 0x13ff)        ' on 2 modules  PGA at Max outputs
	MOVLW      245
	MOVWF      FARG_SPI_Out_channel+0
	MOVLW      255
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVLW      19
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,247 :: 		delay_ms(2000)
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L__main14:
	DECFSZ     R13+0, 1
	GOTO       L__main14
	DECFSZ     R12+0, 1
	GOTO       L__main14
	DECFSZ     R11+0, 1
	GOTO       L__main14
	NOP
;SPI_v36.mbas,251 :: 		fr_start = 10000
	MOVLW      16
	MOVWF      _fr_start+0
	MOVLW      39
	MOVWF      _fr_start+1
	CLRF       _fr_start+2
	CLRF       _fr_start+3
;SPI_v36.mbas,252 :: 		fr_end = 20000
	MOVLW      32
	MOVWF      _fr_end+0
	MOVLW      78
	MOVWF      _fr_end+1
	CLRF       _fr_end+2
	CLRF       _fr_end+3
;SPI_v36.mbas,253 :: 		steps = 100
	MOVLW      100
	MOVWF      _steps+0
	CLRF       _steps+1
	CLRF       _steps+2
	CLRF       _steps+3
;SPI_v36.mbas,255 :: 		while (TRUE)                           ' Endless loop
L__main16:
;SPI_v36.mbas,257 :: 		fout = fr_start
	MOVF       _fr_start+0, 0
	MOVWF      _fout+0
	MOVF       _fr_start+1, 0
	MOVWF      _fout+1
	MOVF       _fr_start+2, 0
	MOVWF      _fout+2
	MOVF       _fr_start+3, 0
	MOVWF      _fout+3
;SPI_v36.mbas,259 :: 		while fout <= fr_end
L__main21:
	MOVLW      128
	XORWF      _fr_end+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _fout+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main70
	MOVF       _fout+2, 0
	SUBWF      _fr_end+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main70
	MOVF       _fout+1, 0
	SUBWF      _fr_end+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main70
	MOVF       _fout+0, 0
	SUBWF      _fr_end+0, 0
L__main70:
	BTFSS      STATUS+0, 0
	GOTO       L__main22
;SPI_v36.mbas,260 :: 		freq = (fout  * 10.73741824 )
	MOVF       _fout+0, 0
	MOVWF      R0+0
	MOVF       _fout+1, 0
	MOVWF      R0+1
	MOVF       _fout+2, 0
	MOVWF      R0+2
	MOVF       _fout+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVLW      119
	MOVWF      R4+0
	MOVLW      204
	MOVWF      R4+1
	MOVLW      43
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	CALL       _Double2Longword+0
	MOVF       R0+0, 0
	MOVWF      _freq+0
	MOVF       R0+1, 0
	MOVWF      _freq+1
	MOVF       R0+2, 0
	MOVWF      _freq+2
	MOVF       R0+3, 0
	MOVWF      _freq+3
;SPI_v36.mbas,261 :: 		channel = 0xFA
	MOVLW      250
	MOVWF      _channel+0
;SPI_v36.mbas,262 :: 		Send_freq(channel, freq_reg, freq)
	MOVLW      250
	MOVWF      FARG_Send_freq_channel+0
	MOVF       _freq_reg+0, 0
	MOVWF      FARG_Send_freq_freq_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_Send_freq_freq+0
	MOVF       R0+1, 0
	MOVWF      FARG_Send_freq_freq+1
	MOVF       R0+2, 0
	MOVWF      FARG_Send_freq_freq+2
	MOVF       R0+3, 0
	MOVWF      FARG_Send_freq_freq+3
	CALL       _Send_freq+0
;SPI_v36.mbas,263 :: 		Control_reg=0x2000       ' B28=1 28 bits, D8 RESET Off,  D11=0 Freq0
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      32
	MOVWF      _Control_reg+1
;SPI_v36.mbas,264 :: 		SPI_Out (channel, Control_reg)
	MOVF       _channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVLW      0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVLW      32
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,265 :: 		delay_ms(10)
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__main25:
	DECFSZ     R13+0, 1
	GOTO       L__main25
	DECFSZ     R12+0, 1
	GOTO       L__main25
	NOP
;SPI_v36.mbas,266 :: 		fout = fout + steps
	MOVF       _steps+0, 0
	ADDWF      _fout+0, 1
	MOVF       _steps+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     _steps+1, 0
	ADDWF      _fout+1, 1
	MOVF       _steps+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     _steps+2, 0
	ADDWF      _fout+2, 1
	MOVF       _steps+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     _steps+3, 0
	ADDWF      _fout+3, 1
;SPI_v36.mbas,267 :: 		wend
	GOTO       L__main21
L__main22:
;SPI_v36.mbas,269 :: 		fout= fr_end
	MOVF       _fr_end+0, 0
	MOVWF      _fout+0
	MOVF       _fr_end+1, 0
	MOVWF      _fout+1
	MOVF       _fr_end+2, 0
	MOVWF      _fout+2
	MOVF       _fr_end+3, 0
	MOVWF      _fout+3
;SPI_v36.mbas,270 :: 		while fout >= fr_start
L__main27:
	MOVLW      128
	XORWF      _fout+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _fr_start+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main71
	MOVF       _fr_start+2, 0
	SUBWF      _fout+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main71
	MOVF       _fr_start+1, 0
	SUBWF      _fout+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main71
	MOVF       _fr_start+0, 0
	SUBWF      _fout+0, 0
L__main71:
	BTFSS      STATUS+0, 0
	GOTO       L__main28
;SPI_v36.mbas,272 :: 		freq = (fout  * 10.73741824 )
	MOVF       _fout+0, 0
	MOVWF      R0+0
	MOVF       _fout+1, 0
	MOVWF      R0+1
	MOVF       _fout+2, 0
	MOVWF      R0+2
	MOVF       _fout+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVLW      119
	MOVWF      R4+0
	MOVLW      204
	MOVWF      R4+1
	MOVLW      43
	MOVWF      R4+2
	MOVLW      130
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	CALL       _Double2Longword+0
	MOVF       R0+0, 0
	MOVWF      _freq+0
	MOVF       R0+1, 0
	MOVWF      _freq+1
	MOVF       R0+2, 0
	MOVWF      _freq+2
	MOVF       R0+3, 0
	MOVWF      _freq+3
;SPI_v36.mbas,273 :: 		channel = 0xFA
	MOVLW      250
	MOVWF      _channel+0
;SPI_v36.mbas,274 :: 		Send_freq(channel, freq_reg, freq)
	MOVLW      250
	MOVWF      FARG_Send_freq_channel+0
	MOVF       _freq_reg+0, 0
	MOVWF      FARG_Send_freq_freq_reg+0
	MOVF       R0+0, 0
	MOVWF      FARG_Send_freq_freq+0
	MOVF       R0+1, 0
	MOVWF      FARG_Send_freq_freq+1
	MOVF       R0+2, 0
	MOVWF      FARG_Send_freq_freq+2
	MOVF       R0+3, 0
	MOVWF      FARG_Send_freq_freq+3
	CALL       _Send_freq+0
;SPI_v36.mbas,275 :: 		Control_reg=0x2000       ' B28=1 28 bits, D8 RESET Off,  D11=0 Freq0
	MOVLW      0
	MOVWF      _Control_reg+0
	MOVLW      32
	MOVWF      _Control_reg+1
;SPI_v36.mbas,276 :: 		SPI_Out (channel, Control_reg)
	MOVF       _channel+0, 0
	MOVWF      FARG_SPI_Out_channel+0
	MOVLW      0
	MOVWF      FARG_SPI_Out_SPI_dat+0
	MOVLW      32
	MOVWF      FARG_SPI_Out_SPI_dat+1
	CALL       _SPI_Out+0
;SPI_v36.mbas,277 :: 		delay_ms(10)
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__main31:
	DECFSZ     R13+0, 1
	GOTO       L__main31
	DECFSZ     R12+0, 1
	GOTO       L__main31
	NOP
;SPI_v36.mbas,278 :: 		fout = fout - steps
	MOVF       _steps+0, 0
	MOVWF      R0+0
	MOVF       _steps+1, 0
	MOVWF      R0+1
	MOVF       _steps+2, 0
	MOVWF      R0+2
	MOVF       _steps+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	SUBWF      _fout+0, 1
	MOVF       R0+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+1, 0
	SUBWF      _fout+1, 1
	MOVF       R0+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+2, 0
	SUBWF      _fout+2, 1
	MOVF       R0+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+3, 0
	SUBWF      _fout+3, 1
;SPI_v36.mbas,280 :: 		wend
	GOTO       L__main27
L__main28:
;SPI_v36.mbas,281 :: 		wend
	GOTO       L__main16
L_end_main:
	GOTO       $+0
; end of _main
